Bug 523168 - Java Applet Does Not Function Properly ThinkBroadband Speed Test
Summary: Java Applet Does Not Function Properly ThinkBroadband Speed Test
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rodney Russ
QA Contact: Fedora Extras Quality Assurance
URL: http://www.thinkbroadband.com/speedte...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-14 10:20 UTC by Jonathan Pritchard
Modified: 2010-06-18 19:28 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-18 19:28:31 UTC


Attachments (Terms of Use)

Description Jonathan Pritchard 2009-09-14 10:20:02 UTC
Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1.3) Gecko/20090909 Fedora/3.5.3-1.fc11 Firefox/3.5.3

java-1.6.0-openjdk-1.6.0.0-27.b16.fc11.i586
java-1.6.0-openjdk-plugin-1.6.0.0-27.b16.fc11.i586

Fedora 11, latest update as on 14/09/09.

Description:

Go to http://www.thinkbroadband.com/speedtest.html and select 'Detailed Output' before clicking start.

The applet will never complete. It never gets past - 

'Do not use your connection until the test has finished.
Starting speed test...

Downloading 524287 bytes (0.5 MB) of data...' 

Neither does pressing 'Stop', stop the application. However, it all works fine on Windows and I can only presume does on the official JRE too.

Thanks.

Comment 1 Juha Tuomala 2009-10-18 15:07:26 UTC
ICEDTEAPLUGIN_DEBUG=true firefox \
http://www.thinkbroadband.com/speedtest.html \
2>&1 | tee console.log

Processing complete
ICEDTEA PLUGIN: Instance::ConsumeMsgFromJVM return
ICEDTEA PLUGIN: plugin_in_pipe_callback
Received message: instance 2 status exception: java.lang.StringIndexOutOfBoundsException: String index out of range: 8.
  PIPE: plugin read: instance 2 status exception: java.lang.StringIndexOutOfBoundsException: String index out of range: 8.
ICEDTEA PLUGIN: plugin_in_pipe_callback return
ICEDTEA PLUGIN: plugin_in_pipe_callback
Received message: instance 2 status Start: applet not initialized.
  PIPE: plugin read: instance 2 status Start: applet not initialized.
ICEDTEA PLUGIN: plugin_in_pipe_callback return
ICEDTEA PLUGIN: Instance::ConsumeMsgFromJVM
received message: instance 2 status exception: java.lang.StringIndexOutOfBoundsException: String index out of range: 8.
Processing complete
received message: instance 2 status Start: applet not initialized.
Processing complete
ICEDTEA PLUGIN: Instance::ConsumeMsgFromJVM return
^C


possbile duplicate from bug 520777.

Comment 2 Bug Zapper 2010-04-28 10:21:25 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Jonathan Pritchard 2010-05-14 22:37:52 UTC
This is till one of my tests for Java and having upgraded to the new Firefox 3.6 compatible java-1.6.0-openjdk-1.6.0.0-38.b18.fc12 it still has the same problems.

In general the CPU usage is massive too, and hangs a lot, doesn't stop when closing the offending tab etc.

Comment 5 Andrew Su 2010-06-18 19:25:19 UTC
Hello Jonathan Pritchard,

When you ran the tests did you run it with port 80 or let it used the default port 8095? I did not experience any hangs or high load on my computer. I did see that using the default port did not load as you had mentioned. However checking port 80 allows the test to run with no issues. Did you make sure to have allowed the applet to establish a connection to the server which it is trying to perform the test with, and port forward if you are behind a router? This does not seem like a bug in openjdk. 

-Andrew

Comment 6 Deepak Bhole 2010-06-18 19:28:31 UTC
Closing as NOTABUG based on comment #5. Feel free to re-open if problem persists.


Note You need to log in before you can comment on or make changes to this bug.